package com.prolog.eis.service.container;

import com.prolog.eis.model.container.ContainerInfoDetail;
import com.prolog.framework.core.restriction.Criteria;
import io.lettuce.core.ScanIterator;

import java.util.List;
import java.util.Map;

public interface ContainerInfoDetailService {
    List<ContainerInfoDetail> findByMap(Map<String, Object> params);

    void deleteById(Integer id);

    List<ContainerInfoDetail> findByCriteria(Criteria criteria);
}
